<template>
    <div class="sewers-search" v-if="judgeVisible">
        <div class="panel-title">{{ title }}</div>
        <el-tabs v-model="activeName" @tab-click="handleClick">
            <el-tab-pane label="事件查询" name="first">
                <EventQuery></EventQuery>
            </el-tab-pane>
            <el-tab-pane label="资源查询" name="second">
                <ResourcesQuery></ResourcesQuery>
            </el-tab-pane>
        </el-tabs>
        <!--        <ReportPopup></ReportPopup>-->
    </div>
</template>

<script>
import EventQuery from './EnterpriseEmergency/EventQuery'
import ResourcesQuery from './EnterpriseEmergency/ResourcesQuery'
// import ReportPopup from './SewersSelect/EnterpriseEmergency/ReportPopup'

export default {
  name: 'ReportSearch',
  props: ['title'],
  components: {
    EventQuery,
    ResourcesQuery
    // ReportPopup
  },
  data () {
    return {
      judgeVisible: true,
      activeName: 'first'
    }
  },
  methods: {
    handleClick (tab) {
      console.log(tab)
      if (tab.label === '分析') {
        // 关闭弹窗
        window.layerFactory.clickSwitch = false
      } else {
        // 打开弹窗
        window.layerFactory.clickSwitch = true
      }
    }
  }
}
</script>

<style lang="less" scoped>

</style>
